package imcacat.imcadr;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertFalse;

import org.junit.Test;

/**
 * I test <code>Range</code>.
 */
public class RangeTest {
  /* Basic. */
  @Test
  public void testEquals01() {
    Range<Integer> r = new Range<Integer>(1, 2);
    assertEquals(r, new Range<Integer>(1, 2));
    assertFalse(r.equals(null));
    assertFalse(r.equals(new Range<Integer>(1, 3)));
    assertFalse(r.equals(new Range<Integer>(0, 2)));
    assertFalse(r.equals(new Range<Integer>(null, 2)));
    assertFalse(r.equals(new Range<Integer>(1, null)));
    assertEquals(new Range<Integer>(null, null), new Range<Integer>(null, null));
  }
}
