package imcacat.imcadr;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNull;

import org.junit.Test;

/**
 * I test <code>Raster2dEdge</code>.
 */
public class Raster2dEdgeTest {
  @Test
  public void testMinusTopAndBottom01() {
    assertEquals(Raster2dEdge.LEFT, Raster2dEdge.LEFT.minusTopAndBottom());
    assertEquals(Raster2dEdge.RIGHT, Raster2dEdge.RIGHT.minusTopAndBottom());
    assertEquals(Raster2dEdge.LEFT, Raster2dEdge.TOP_LEFT.minusTopAndBottom());
    assertEquals(Raster2dEdge.RIGHT, Raster2dEdge.TOP_RIGHT.minusTopAndBottom());
    assertEquals(Raster2dEdge.LEFT, Raster2dEdge.BOTTOM_LEFT.minusTopAndBottom());
    assertEquals(Raster2dEdge.RIGHT, Raster2dEdge.BOTTOM_RIGHT.minusTopAndBottom());
    assertNull(Raster2dEdge.TOP.minusTopAndBottom());
    assertNull(Raster2dEdge.BOTTOM.minusTopAndBottom());
  }

  @Test
  public void testMinusLeftAndRight01() {
    assertEquals(Raster2dEdge.TOP, Raster2dEdge.TOP.minusLeftAndRight());
    assertEquals(Raster2dEdge.BOTTOM, Raster2dEdge.BOTTOM.minusLeftAndRight());
    assertEquals(Raster2dEdge.TOP, Raster2dEdge.TOP_LEFT.minusLeftAndRight());
    assertEquals(Raster2dEdge.TOP, Raster2dEdge.TOP_RIGHT.minusLeftAndRight());
    assertEquals(Raster2dEdge.BOTTOM, Raster2dEdge.BOTTOM_LEFT.minusLeftAndRight());
    assertEquals(Raster2dEdge.BOTTOM, Raster2dEdge.BOTTOM_RIGHT.minusLeftAndRight());
    assertNull(Raster2dEdge.LEFT.minusLeftAndRight());
    assertNull(Raster2dEdge.RIGHT.minusLeftAndRight());
  }
}
