package imcacat.imcadr;

import static org.junit.Assert.assertEquals;

import org.junit.Test;

/**
 * I test <code>Rectangle</code>.
 */
public class RectangleTest {
  @Test
  public void testConvertTo01() {
    Rectangle r = Rectangle.mm(2.0, 3.5);
    assertEquals(r, r.convertTo(LengthUnit.MILLIMETER));
  }

  @Test
  public void testConvertTo02() {
    Rectangle rMm = Rectangle.mm(2.0, 3.5);
    Rectangle rUm = Rectangle.um(2000.0, 3500.0);
    assertEquals(rUm, rMm.convertTo(LengthUnit.MICROMETER));
    assertEquals(rMm, rUm.convertTo(LengthUnit.MILLIMETER));
  }
}
