package imcacat.imcadr.util;

import static org.junit.Assert.assertEquals;

import org.junit.Test;

/**
 * I test <code>StringUtils</code>.
 */
public class StringUtilsTest {
  @Test
  public void testJoin_empty() {
    assertEquals("", StringUtils.join(","));
  }

  @Test
  public void testJoin_one() {
    assertEquals("a", StringUtils.join(",", "a"));
  }

  @Test
  public void testJoin_two() {
    assertEquals("a,b", StringUtils.join(",", "a", "b"));
  }

  @Test
  public void testJoin_three() {
    assertEquals("a,b,c", StringUtils.join(",", "a", "b", "c"));
  }

  @Test
  public void testJoin_emptySeparator() {
    assertEquals("ab", StringUtils.join("", "a", "b"));
  }
}
