package imcacat.imcadr;

/**
 * I model a diffraction center analysis package.
 */
public enum AnalysisPackage {
  LABELIT("LABELIT"),
  DTREK("d*TREK");

  private String displayString;

  AnalysisPackage(String displayString) {
    this.displayString = displayString;
  }

  public String toDisplayString() {
    return displayString;
  }

  public Range<Integer> getScoreMinimumRange() {
    return Resources.getInstance().getScoreMinimumRange(this);
  }
}
