package imcacat.imcadr;

import java.util.Objects;

/**
 * Thrown to indicate a configuration error.
 */
public class ConfigurationException extends Exception {
  private static final long serialVersionUID = 1L;

  /**
   * @throws NullPointerException if {@code message} is {@code null}
   */
  public ConfigurationException(String message) {
    super(Objects.requireNonNull(message));
  }

  /**
   * @throws NullPointerException if {@code message} is {@code null}
   */
  public ConfigurationException(String message, Throwable cause) {
    super(Objects.requireNonNull(message), cause);
  }

  /**
   * @throws NullPointerException if {@code message} is {@code null}
   */
  public ConfigurationException(String message, Throwable cause, boolean enableSuppression,
      boolean writableStackTrace) {
    super(Objects.requireNonNull(message), cause, enableSuppression, writableStackTrace);
  }
}
