package imcacat.imcadr;

import imcacat.epicsca4j.model.EpicsEnum;

/**
 * I model a crystal rotation axis.
 */
public enum CrystalRotationAxis implements EpicsEnum {
  OMEGA,
  PHI;

  public short asEpicsShort() {
    return (short)this.ordinal();
  }

  public CrystalRotationAxis fromEpicsShort(short epicsEnumValue) {
    for (CrystalRotationAxis each : CrystalRotationAxis.values())
      if (each.ordinal() == epicsEnumValue) return each;
    throw new IllegalArgumentException("Unexpected value: " + epicsEnumValue);
  }
}
