package imcacat.imcadr;

/**
 * I run a {@code Rasterizer2d} for {@code ImcadrServer}.
 */
public class ImcadrServerRasterizer2dThread extends ImcadrServerRasterizerThread {
  public ImcadrServerRasterizer2dThread(Rasterizer2d rasterizer, ImcadrServerResult result) {
    super(rasterizer, result);
    setDaemon(false);
    registerResultInterest(rasterizer);
  }

  protected void registerResultInterest(Rasterizer2d r) {
    registerResultProgressInterest(r);
    registerResultStateInterest(r);
    registerResultOriginInterest(r);
    registerResultScoresInterest(r);
    registerResultSpotTotalsInterest(r);
    registerResultInResolutionTotalsInterest(r);
    registerResultGoodBraggTotalsInterest(r);
    registerResultIceRingTotalsInterest(r);
    registerResultEstimatedResolutions1Interest(r);
    registerResultEstimatedResolutions2Interest(r);
    registerResultTotalIntegratedSignalsInterest(r);
    registerResultMosaicitiesInterest(r);
    registerResultSpaceGroupsInterest(r);
    registerResultUnitCellsInterest(r);
    registerResultCenterInterest(r);
    registerResultTimeInterest(r);
  }
}
