package imcacat.imcadr;

import java.io.IOException;

/**
 * An exception indicating a {@link PrintWriter} has had an error (as indicated
 * by its <code>checkError()</code> method).
 */
public class PrintWriterErrorException extends IOException {
  private static final long serialVersionUID = 1L;

  public PrintWriterErrorException() {
    super();
  }

  public PrintWriterErrorException(String message) {
    super(message);
  }

  public PrintWriterErrorException(Throwable cause) {
    super(cause);
  }

  public PrintWriterErrorException(String message, Throwable cause) {
    super(message, cause);
  }
}
