package imcacat.imcadr;

/**
 * I model a two-dimensional raster plane.
 */
public enum Raster2dPlane {
  ZY("Z", "Y"),
  ZX("Z", "X");

  protected String firstAxisName;
  protected String secondAxisName;

  Raster2dPlane(String firstAxisName, String secondAxisName) {
    this.firstAxisName = firstAxisName;
    this.secondAxisName = secondAxisName;
  }

  public String getFirstAxisName() {
    return firstAxisName;
  }

  public String getSecondAxisName() {
    return secondAxisName;
  }

  public boolean isZy() {
    return ZY.equals(this);
  }

  public boolean isZx() {
    return ZX.equals(this);
  }
}
