package imcacat.imcadr;

/**
 * I am a basic interface for a rasterizer.
 */
public interface Rasterizer extends Runnable {
  static final String PROPNAME_RUNNING = "running";
  static final String PROPNAME_STATUS = "status";
  static final String PROPNAME_PROGRESS = "progress";

  boolean hasException();

  Throwable getException();

  boolean isRunning();

  String getStatus();

  int getProgress();

  boolean wasSuccessful();
}
