package imcacat.imcadr;

/**
 * I model a crystallography space group.
 */
public enum SpaceGroup {
  P1("P1"),
  P2("P2"),
  P222("P222"),
  P4("P4"),
  P6("P6"),
  C222("C222"),
  C2("C2"),
  I4("I4"),
  I222("I222"),
  F222("F222");

  private String displayString;

  SpaceGroup(String displayString) {
    this.displayString = displayString;
  }

  public String toDisplayString() {
    return displayString;
  }
}
