package imcacat.imcadr;

/**
 * I model a diffraction center analysis program.
 */
public enum AnalysisProgram {
  LABELIT_DISTL_SIGNAL_STRENGTH(AnalysisPackage.LABELIT),
  DTREK_DTRANKER(AnalysisPackage.DTREK);

  private final AnalysisPackage analysisPackage;

  AnalysisProgram(AnalysisPackage analysisPackage) {
    this.analysisPackage = analysisPackage;
  }

  public AnalysisPackage getAnalysisPackage() {
    return analysisPackage;
  }
}
