package imcacat.imcadr;

/**
 * I am an exception thrown when a bug in the software is detected. The
 * software developer has written code incorrectly and the program cannot be
 * expected to continue.
 */
public class BugException extends RuntimeException {
  private static final long serialVersionUID = 1;

  public BugException() {
    super();
  }

  public BugException(String message) {
    super(message);
  }

  public BugException(Throwable cause) {
    super(cause);
  }

  public BugException(String message, Throwable cause) {
    super(message, cause);
  }
}
