package imcacat.imcadr;

/**
 * I model a direction in a two-dimensional plane.
 */
public enum Direction2d {
  /** Left or right. */
  HORIZONTAL,
  /** Up or down. */
  VERTICAL;

  public boolean isHorizontal() {
    return this == HORIZONTAL;
  }

  public boolean isVertical() {
    return !isHorizontal();
  }
}
