package imcacat.imcadr;

/**
 * I am an Imcadr exit status.
 */
public enum ExitStatus {
  /**
   * Success.
   */
  SUCCESS(0),
  /**
   * Failure.
   */
  FAILURE(1),
  /**
   * The best score in a raster was less than or equal to the best-score
   * cutoff.
   */
  BEST_SCORE_CUTOFF(2);

  private int status;

  ExitStatus(int status) {
    this.status = status;
  }

  public int getStatus() {
    return status;
  }
}
