package imcacat.imcadr;

import imcacat.epicsca4j.model.EpicsEnum;

/**
 * I model a DECTRIS PILATUS detector threshold gain.
 */
public enum PilatusThresholdGain implements EpicsEnum {
  LOW,
  MEDIUM,
  HIGH,
  ULTRAHIGH;

  public short asEpicsShort() {
    return (short)this.ordinal();
  }

  public PilatusThresholdGain fromEpicsShort(short epicsEnumValue) {
    for (PilatusThresholdGain each : PilatusThresholdGain.values())
      if (each.ordinal() == epicsEnumValue) return each;
    throw new IllegalArgumentException("Unexpected value: " + epicsEnumValue);
  }
}
