package imcacat.imcadr;

import com.jgoodies.binding.PresentationModel;
import com.jgoodies.binding.value.ValueHolder;
import com.jgoodies.binding.value.ValueModel;

/**
 * I am a presentation model for a {@link Rasterizer2d}.
 */
public class Rasterizer2dPresentationModel extends PresentationModel<Rasterizer2d> {
  private static final long serialVersionUID = 1;

  protected ValueModel mouseOverString;

  public Rasterizer2dPresentationModel(Rasterizer2d bean) {
    this(bean, new ValueHolder(""));
  }

  public Rasterizer2dPresentationModel(Rasterizer2d bean, ValueModel mouseOverString) {
    this(new ValueHolder(bean, true), mouseOverString);
  }

  public Rasterizer2dPresentationModel(ValueModel beanChannel) {
    this(beanChannel, new ValueHolder(""));
  }

  public Rasterizer2dPresentationModel(ValueModel beanChannel, ValueModel mouseOverString) {
    super(beanChannel);
    this.mouseOverString = mouseOverString;
  }

  public ValueModel getMouseOverStringModel() {
    return mouseOverString;
  }
}
