package imcacat.imcadr;

import imcacat.epicsca4j.model.EpicsEnum;

/**
 * I model a shutter state.
 */
public enum ShutterState implements EpicsEnum {
  CLOSED,
  OPEN;

  public short asEpicsShort() {
    return (short)this.ordinal();
  }

  public ShutterState fromEpicsShort(short epicsEnumValue) {
    for (ShutterState each : ShutterState.values())
      if (each.ordinal() == epicsEnumValue) return each;
    throw new IllegalArgumentException("Unexpected value: " + epicsEnumValue);
  }
}
