package imcacat.imcadr;

/**
 * I am thrown when an attempt is made to convert a value of one unit into
 * another unit which is not supported (e.g.&nbsp; picometers to millimeters).
 */
public class UnsupportedConversionException extends Exception {
  private static final long serialVersionUID = 1;

  public UnsupportedConversionException() {
    super();
  }

  public UnsupportedConversionException(String message) {
    super(message);
  }

  public UnsupportedConversionException(Throwable cause) {
    super(cause);
  }

  public UnsupportedConversionException(String message, Throwable cause) {
    super(message, cause);
  }
}
